//DirectSound Header
//Created 3/26/06 by Adam Sepanski
//all framework code dealing with directsound goes here

//Add dsutil.h dsutil.cpp dxutil.h dxutil.cpp to the project and include in project folder
//they can be found from the directx extras download (i saved them in dxsdk\extras\)
//if the correct version isn't used (from the extras download) this code probably won't work properly

#ifndef _DXAUDIO_H
#define _DXAUDIO_H

//Includes
#include "dsutil.h"

//primary DirectSound object
extern CSoundManager *dsound;

//function prototypes
int Init_DirectSound(HWND);
CSound *LoadSound(char *);
void PlaySound(CSound *);
void LoopSound(CSound *);
void StopSound(CSound *);


#endif